Skip to content
Permalink
Browse files
Build: Force prerelease peer dep for Node 16 in CI (#14933)
* Build: Force prerelease peer dep for Node 16 in CI

Several dev dependencies have a peer dependency on the local ESLint.
Prereleases don't satisfy regular version range constraints, so the new
peer dependency resolution algorithm in Node 16 rejects `v8.0.0-beta.0`
as a valid peer dependency. Until we're done with prereleases, we can
use the `--force` flag to force npm to accept that the prerelease
satisfies the peer dependency.

* Add todo comment to remove Node 16 --force branching
  • Loading branch information
btmills committed Aug 15, 2021
1 parent c9947d2 commit c74fe08642c30e1a4cd4e0866251a2d29466add8
Showing with 5 additions and 0 deletions.
  1. +5 −0 .github/workflows/ci.yml
@@ -42,6 +42,11 @@ jobs:
node-version: ${{ matrix.node }}
- name: Install Packages
run: npm install
# TODO(btmills): Remove Node 16 --force branching after releasing v8.0.0 final.
if: ${{ !startswith(matrix.node, '16') }}
- name: Install Packages
run: npm install --force
if: ${{ startswith(matrix.node, '16') }}
- name: Test
run: node Makefile mocha
- name: Fuzz Test

0 comments on commit c74fe08

Please sign in to comment.